Subject: bug#58042: 29.0.50; ASAN use-after-free in re_match_2_internal

From: Po Lu <[email-masked]>
Date: Wed, 05 Oct 2022 21:55:09 +0800

Gerd Möllmann <[email-masked]> writes:

> I don't know.  What Po Lu said sounded to me like it isn't specific to
> macOS (safe_call in event handlers, IIRC).

Yes, and there are also finalizer functions called by automatic GC.
So unless read_socket_hook does not cons at all there is no way to stop
it from running random Lisp.